local M = {}

local menuMusic = {
    len = 0
}

local tracks = FS:findFiles("/art/backgroundmusic/menu/", "*.mp3\t*.wav\t*.ogg\t*.pogg\t*.wav", -1, true, false)
local timer = 0

local function onUpdate(dt)
    if #tracks < 1 then return end

    timer = timer + dt
    if timer > menuMusic.len+2 then
        menuMusic = Engine.Audio.playOnce('AudioGui', tracks[math.random(1, #tracks)], {volume = 0.2})
        timer = 0
    end

    if worldReadyState ~= -1 then
        extensions.unload(M.__extensionName__)
    end
end

M.onUpdate = onUpdate

return M